summaryrefslogtreecommitdiffstats
path: root/perl/perl-Config-IniFiles/perl-Config-IniFiles.SlackBuild
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2012-05-05 12:31:55 -0400
committer Erik Hanson <erik@slackbuilds.org>2012-05-07 12:18:10 -0500
commit5e49ef58c67405c10ccbfc6416b3448d494c6f41 (patch)
tree72b88a5ea49563457c6ecb0cb04eea366a5c1183 /perl/perl-Config-IniFiles/perl-Config-IniFiles.SlackBuild
parent9c65382fa520757f8fdc19fc4c2408463a589b4f (diff)
downloadslackbuilds-5e49ef58c67405c10ccbfc6416b3448d494c6f41.tar.gz
slackbuilds-5e49ef58c67405c10ccbfc6416b3448d494c6f41.tar.xz
perl/perl-Config-IniFiles: Updated for version 2.71.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'perl/perl-Config-IniFiles/perl-Config-IniFiles.SlackBuild')
-rw-r--r--perl/perl-Config-IniFiles/perl-Config-IniFiles.SlackBuild35
1 files changed, 24 insertions, 11 deletions
diff --git a/perl/perl-Config-IniFiles/perl-Config-IniFiles.SlackBuild b/perl/perl-Config-IniFiles/perl-Config-IniFiles.SlackBuild
index 9b2f7afba0..fe82d2892d 100644
--- a/perl/perl-Config-IniFiles/perl-Config-IniFiles.SlackBuild
+++ b/perl/perl-Config-IniFiles/perl-Config-IniFiles.SlackBuild
@@ -3,7 +3,8 @@
# Slackware Package Build Script for perl modules: Config::IniFiles
# Home Page http://search.cpan.org/dist/Config-IniFiles/
-# Copyright (c) 2008-2011, Nishant Limbachia, Hoffman Estates, IL, USA <nishant _AT_ mnspace _DOT_ net>
+# Copyright (c) 2008-2012, Nishant Limbachia, Hoffman Estates, IL, USA
+# (nishant _AT_ mnspace _DOT_ net)
# All rights reserved.
# Redistribution and use of this script, with or without modification, is
@@ -23,13 +24,16 @@
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by the SlackBuilds.org project.
-SRCNAM=Config-IniFiles
-PRGNAM=perl-$SRCNAM
-VERSION=${VERSION:-2.68}
+PRGNAM=perl-Config-IniFiles
+VERSION=${VERSION:-2.71}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+SRCNAM=$(echo $PRGNAM | cut -f2- -d-)
+
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
@@ -45,20 +49,26 @@ OUTPUT=${OUTPUT:-/tmp}
set -e
+DOCS="Changes README"
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
-DOCS="Changes README"
-
-rm -rf $TMP/$SRCNAM-$VERSION $PKG
+rm -fr $TMP/$SRCNAM-$VERSION $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-tar xzvf $CWD/$SRCNAM-$VERSION.tar.gz
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
cd $TMP/$SRCNAM-$VERSION
chown -R root.root .
find . \
@@ -69,6 +79,7 @@ find . \
CFLAGS="$SLKCFLAGS" \
perl Makefile.PL INSTALLDIRS=vendor INSTALLVENDORMAN3DIR=/usr/man/man3
+
make
make install DESTDIR=$PKG
@@ -77,11 +88,13 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# find and compress man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
# Remove empty directories
find $PKG -depth -type d -empty -exec rm -rf {} \;